# Linux makefile for Glide2 and Texus2
#
#  Copyright (c) 2003 - Daniel Borca
#  Email : dborca@users.sourceforge.net
#  Web   : http://www.geocities.com/dborca
#
#  Copyright (c) 2006 - Guillem Jover <guillem@hadrons.org>
#

#
#  Available options:
#
#    Environment variables:
#	FX_GLIDE_HW	build for the given ASIC (sst1, sst96, cvg, h3).
#			default = h3
#	DRI=1		Build DRI version.
#			target  = h3
#			default = no
#	XPATH		specify X libraries path; needed by DRI.
#			target  = h3
#			default = /usr/X11R6/lib
#	H4=1		High speed Avenger/Napalm.
#			target  = h3
#			default = no
#	OPTFLAGS	pass given optimization flags to compiler
#			target  = sst1, sst96, cvg, h3
#			default = -O2 -ffast-math
#	DEBUG=1		enable debugging checks and messages
#			target  = sst1, sst96, cvg, h3
#			default = no
#	USE_X86=1	use assembler triangle specializations
#			target  = sst1, sst96, cvg, h3
#			default = no
#	USE_3DNOW=1	allow 3DNow! specializations. However, the true CPU
#			capabilities are still checked at run-time to avoid
#			crashes.
#			target  = cvg, h3
#			default = no
#	USE_MMX=1	(see USE_3DNOW)
#			target  = h3
#			default = no
#
#    Targets:
#	all:		build everything
#	clean:		remove object files
#	realclean:	remove all generated files
#

.PHONY: all clean realclean

.EXPORT_ALL_VARIABLES:

export BUILD_NUMBER = 40404
export FX_GLIDE_HW ?= h3

ifeq ($(FX_GLIDE_HW),sst96)
G3_DIR = sst1/glide/src
else
G3_DIR = $(FX_GLIDE_HW)/glide/src
endif

all:
	make -f makefile.linux -C $(G3_DIR)

clean:
	make -f makefile.linux -C $(G3_DIR) clean

realclean:
	make -f makefile.linux -C $(G3_DIR) realclean
